Bug 283164 - delete key doesn't delete multiple cells
Summary: delete key doesn't delete multiple cells
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: usability (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-02 08:30 UTC by Adrien
Modified: 2013-08-03 14:07 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien 2011-10-02 08:30:22 UTC
Version:           unspecified (using KDE 4.6.5) 
OS:                Linux

Hi,

The delete key doesn't delete multiple keys, but only one. 

Reproducible: Always

Steps to Reproduce:
– enter something in severals cells
– select all the cells and type delete

Actual Results:  
only one cell is deleted

Expected Results:  
all the cells from the selection should be deleted, the same as if I am doing right click -> delete cells on the selection.

I am using Debian testing and the beta 1 of calligra.
Comment 1 Burkhard Lück 2012-01-16 10:12:02 UTC
Confirmed using 
Tables Version 2.4 Beta 6
Using KDE Development Platform 4.7.98 (4.8 RC2+ (4.7.98)
Comment 2 Robert Downing 2012-02-25 19:43:15 UTC
Also seeing this behavior, on KDE 4.7.97 (4.8 RC2 (4.7.97)

<Delete> does not erase multi-cell selection

<Backspace> does not erase multi-cell selection
Comment 3 David Heijkamp 2012-06-25 06:19:12 UTC
I can confirm this behavior on KDE 4.8.2 / Calligra 2.4.2 / Fedora 17
Comment 4 Adrien 2012-09-03 11:13:52 UTC
I can confirm this behavior on KDE 4.8.4 with Calligra 2.5.1.
Comment 5 Inge Wallin 2013-06-29 09:07:40 UTC
Thank you for the reports.

I have tested this today with 2.7beta3 and the result is that the delete key erases all the cells but the backspace key only erases the cell with the cursor in it.
Comment 6 Burkhard Lück 2013-06-29 09:33:06 UTC
$ calligrasheets --version
Legacy integer arithmetics implementation 
xxQt: 4.8.2
KDE Development Platform: 4.10.90
xxCalligra Sheetsxx: 2.8 Pre-Alpha
xx
and
$ calligrasheets --version
Legacy integer arithmetics implementation 
Qt: 4.8.0
KDE: 4.10.4
Calligra Sheets: 2.7 Beta 1

Key "Del" performes the action  Edit->Clear->Contents for several selected cells, not erase!
Key "Backspace" clears the content of the cell with the cursor if several cells are selected
The "hidden" shortcut "Del" for Edit->Clear->Contents should be added to the gui.
Comment 7 Inge Wallin 2013-06-30 02:43:40 UTC
Thanks. I wonder if going through actions is the way...  I tried to find key events and found a number of places where Delete was handled but not one single one where Backspace was handled.  But we can't just make them equal because "delete" deletes forward and "backspace" deletes backwards when in a cell editor.
Comment 8 Inge Wallin 2013-06-30 08:43:37 UTC
I have a fix for this bug at https://git.reviewboard.kde.org/r/111321/ .  As soon as Marijn or somebody else who knows the code has had a look, I will commit and push it.  And then backport it to 2.7 and perhaps 2.6.  

I will not backport to 2.4, though, because that version is end-of-lifed.
Comment 9 Inge Wallin 2013-08-03 14:02:37 UTC
Git commit 58101c0d7b3050843f428bc1c0174a93bbd498b2 by Inge Wallin.
Committed on 03/08/2013 at 14:01.
Pushed by ingwa into branch 'master'.

Fix bug 283164: delete key doesn't delete multiple cells

Thanks boemann for the review.
REVIEW: 111321

M  +1    -0    sheets/ui/CellToolBase.cpp

http://commits.kde.org/calligra/58101c0d7b3050843f428bc1c0174a93bbd498b2
Comment 10 Inge Wallin 2013-08-03 14:07:43 UTC
Git commit 7d073a3fd8e3601c34f3d19a2ef6a2dd8c42b3ba by Inge Wallin.
Committed on 03/08/2013 at 14:01.
Pushed by ingwa into branch 'calligra/2.7'.

Fix bug 283164: delete key doesn't delete multiple cells

Thanks boemann for the review.
REVIEW: 111321

M  +1    -0    sheets/ui/CellToolBase.cpp

http://commits.kde.org/calligra/7d073a3fd8e3601c34f3d19a2ef6a2dd8c42b3ba